Provable Markets

ExecutionEventsService

Execution

PATH: /aurora.core.apiengine.executionsv1.ExecutionEventsService/Execution

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.executionsv1.Execution)

Fields: id, order_id, instrument, side, counterparty_id, execution_quantity, unit_price, settlement_price, collateral_price, fee, rebate, settlement_amount, contract_value, start_date, execution_time, trade_date, settlement_date, is_acknowledged, status, contra_status, cancel_reason, updated_at, order_created_by, order_last_updated_by, agreement

request_id
required
string

Unique request identifier assigned to the event

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }